\RequirePackage{graphicx}
\RequirePackage{hyperref}
\RequirePackage{ifluatex}
\RequirePackage{setspace}
\RequirePackage{etoolbox}
\NeedsTeXFormat{LaTeX2e}
\ProvidesPackage{labreport}[2018/11/25 GAUG Lab Report]

\ifluatex
\else
\RequirePackage[utf8]{inputenc}
\fi

\gdef\@coursestr{Advanced Lab Course}
\gdef\@depstr{Fakultät für Physik}
\gdef\@unistr{Universität Göttingen}

\DeclareOption{de}{%
  \gdef\@expstr{Versuch}
  \gdef\@authorstr{Name}
  \gdef\@mailstr{E-Mail}
  \gdef\@labdatestr{Datum}
  \gdef\@sostr{Betreuer*in}
}
\DeclareOption{en}{%
  \gdef\@expstr{Experiment}
  \gdef\@authorstr{Name}
  \gdef\@mailstr{E-Mail}
  \gdef\@labdatestr{Date}
  \gdef\@sostr{Supervisor}
}

\ExecuteOptions{de}
\ProcessOptions\relax

\newcommand{\mail}[1]{\gdef\@mail{#1}}
\newcommand{\supervisor}[1]{\gdef\@so{#1}}
\newcommand{\abbr}[1]{\gdef\@abbr{#1}}
\newcommand{\labdate}[1]{\gdef\@labdate{#1}}
\newcommand{\at}[1]{\gdef\@at{#1}}

\newcommand{\custom}[2]{\listadd{\titelfeld}{{\bfseries #1:} & #2}}

\newcommand*{\setpdfoptions}{
\hypersetup{%
pdftitle=\@title,
pdfsubject=\@coursestr,
pdfauthor=\@author
}%
}

\gdef\logo@height{1.5cm}

\renewcommand*{\maketitle}{%
\input{tp-simple.tex}
}

\endinput
